This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1273211 - flannel-v0.5.4 is available
flannel-v0.5.4 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: flannel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
: FutureFeature, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 20:12 EDT by Upstream Release Monitoring
Modified: 2016-02-22 08:12 EST (History)
10 users (show)

See Also:
Fixed In Version: flannel-0.5.4-1.fc24.src.rpm flannel-0.5.4-1.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 00:25:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2015-10-19 20:12:57 EDT
Latest upstream release: v0.5.4
Current version/release in rawhide: 0.5.3-6.fc24
URL: https://github.com/coreos/flannel

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-19 20:13:13 EDT
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: flannel-29ffccc.tar.gz
old sha256: c85ef88330aea6ecdbe12d2e1cd07366a0a364e34e61d3a2f12562ff717684a8

new source: ./flannel-29ffccc.tar.gz
new sha256: c85ef88330aea6ecdbe12d2e1cd07366a0a364e34e61d3a2f12562ff717684a8
Comment 2 Jeremy Eder 2015-10-21 15:54:54 EDT
Jan, is it also planned to update flannel in Fedora 22 and Fedora 23 ?

See https://github.com/coreos/flannel/issues/346
Comment 3 Jan Chaloupka 2015-10-22 06:32:02 EDT
Hi Jeremy,

Would it be enough to update flannel to 0.5.3 on f22 and f23?
Comment 4 Jeremy Eder 2015-10-22 06:58:07 EDT
There was a user request in the github issue for an updated flannel in F22.  He specifically was looking for 0.5.3, so I guess that should be alright.  Although if you are going to push an update, maybe just push the latest 0.5.4.  Your call.

Thanks!
Comment 5 Jan Chaloupka 2015-10-22 09:30:58 EDT
Updates for f23 and f23 will follow.
Comment 6 Fedora Update System 2015-10-22 12:43:53 EDT
flannel-0.5.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-eb8f6e79b6
Comment 7 Fedora Update System 2015-10-22 12:43:53 EDT
flannel-0.5.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-52e1ca8443
Comment 8 Fedora Update System 2015-10-24 08:06:49 EDT
flannel-0.5.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update flannel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-eb8f6e79b6
Comment 9 Fedora Update System 2015-10-26 14:28:24 EDT
flannel-0.5.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update flannel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-52e1ca8443
Comment 10 Jeremy Eder 2016-02-04 03:01:32 EST
Hi Jan, is anything preventing this from moving from testing to updates in F23?
Comment 11 Jason Brooks 2016-02-05 14:24:47 EST
I just tested this out and gave it karma in bodhi.
Comment 12 Fedora Update System 2016-02-07 00:24:57 EST
flannel-0.5.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.